## python-qinlingclient 2.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
PrettyTable<0.8,>=0.7.2 # BSD
python-keystoneclient>=3.8.0 # Apache-2.0
python-openstackclient>=3.12.0 # Apache-2.0
iso8601>=0.1.11 # MIT
six>=1.10.0 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
requests>=2.14.2 # Apache-2.0
PyYAML>=3.12 # MIT
osc-lib>=1.8.0 # Apache-2.0

oslo.utils>=3.33.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-qinlingclient (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 22:45:42 +0200

python-qinlingclient (2.0.0-1) experimental; urgency=medium

  * Initial release. (Closes: #907181)

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Aug 2018 15:55:45 +0200

=== debian/control ===
Source: python-qinlingclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-coverage <!nocheck>,
 python3-fixtures <!nocheck>,
 python3-hacking,
 python3-iso8601,
 python3-keystoneclient (>= 3.8.0),
 python3-mock <!nocheck>,
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
 python3-os-testr (>= 1.0.0),
 python3-osc-lib (>= 1.11.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslosphinx <!nodoc>,
 python3-oslotest (>= 1:3.2.0) <!nocheck>,
 python3-prettytable,
 python3-reno <!nodoc>,
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0) <!nocheck>,
 python3-six,
 python3-stestr (>= 2.0.0) <!nocheck>,
 python3-testscenarios <!nocheck>,
 python3-testtools (>= 2.2.0) <!nocheck>,
 python3-yaml,
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-qinlingclient
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-qinlingclient.git
Homepage: https://docs.openstack.org/qinling/latest/

Package: python-qinlingclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client for Function as a Service for OpenStack - doc
 Qinling (is pronounced "tʃinliŋ") refers to Qinling Mountains in southern
 Shaanxi Province in China. The mountains provide a natural boundary between
 North and South China and support a huge variety of plant and wildlife, some
 of which is found nowhere else on Earth.
 .
 Qinling is Function as a Service for OpenStack. This project aims to provide a
 platform to support serverless functions (like AWS Lambda). Qinling supports
 different container orchestration platforms (Kubernetes/Swarm, etc.) and
 different function package storage backends (local/Swift/S3) by nature using
 plugin mechanism.
 .
 This package contains the documentation.

Package: python3-qinlingclient
Architecture: all
Depends:
 python3-babel,
 python3-iso8601,
 python3-keystoneclient (>= 3.8.0),
 python3-openstackclient (>= 3.12.0),
 python3-osc-lib (>= 1.11.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable,
 python3-requests (>= 2.14.2),
 python3-six,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-qinlingclient-doc,
Description: client for Function as a Service for OpenStack - Python 3.x
 Qinling (is pronounced "tʃinliŋ") refers to Qinling Mountains in southern
 Shaanxi Province in China. The mountains provide a natural boundary between
 North and South China and support a huge variety of plant and wildlife, some
 of which is found nowhere else on Earth.
 .
 Qinling is Function as a Service for OpenStack. This project aims to provide a
 platform to support serverless functions (like AWS Lambda). Qinling supports
 different container orchestration platforms (Kubernetes/Swarm, etc.) and
 different function package storage backends (local/Swift/S3) by nature using
 plugin mechanism.
 .
 This package contains the Python 3.x module.

## python-qinlingclient 2.1.0

=== debian/changelog ===
python-qinlingclient (2.1.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 20 Nov 2018 10:25:29 +0000

python-qinlingclient (2.1.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Nov 2018 14:46:31 -0500

python-qinlingclient (2.0.0-0ubuntu2) cosmic; urgency=medium

  * d/python(3)-qinlingclient.p*: Dropped inline with upstream removal of
    qinling console_script in 2.0.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Aug 2018 15:31:38 -0400

python-qinlingclient (2.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Aug 2018 13:56:51 -0400

python-qinlingclient (1.0.0-0ubuntu1) cosmic; urgency=low

  * Initial release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jun 2018 12:39:49 -0400

=== debian/control ===
Source: python-qinlingclient
Section: python
Priority: optional
Maintainer: Corey Bryant <corey.bryant@canonical.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.5) <!nodoc>,
Build-Depends-Indep:
 python-babel (>= 2.3.4),
 python-coverage (>= 4.0),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-iso8601 (>= 0.1.11),
 python-keystoneauth1 (>= 3.4.0),
 python-keystoneclient (>= 1:3.8.0),
 python-mock (>= 2.0.0),
 python-openstackclient (>= 3.12.0),
 python-os-testr (>= 1.0.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslosphinx (>= 4.7.0),
 python-oslotest (>= 1:3.2.0),
 python-pbr (>= 2.0.0),
 python-prettytable (>= 0.7.2),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.5.2),
 python-six (>= 1.10.0),
 python-stestr,
 python-testrepository (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-yaml (>= 3.12),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-mock (>= 2.0.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
 python3-os-testr (>= 1.0.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.2),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.5.2),
 python3-six (>= 1.10.0),
 python3-sphinx (>= 1.6.5),
 python3-stestr,
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-yaml (>= 3.12),
 subunit,
 testrepository,
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-qinlingclient
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-qinlingclient
Homepage: https://github.com/openstack/python-qinlingclient
Testsuite: autopkgtest-pkg-python

Package: python-qinlingclient
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-iso8601 (>= 0.1.11),
 python-keystoneclient (>= 1:3.8.0),
 python-openstackclient (>= 3.12.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-prettytable (>= 0.7.2),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-yaml (>= 3.12),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-qinlingclient-doc,
Description: OpenStack Function as a Service API client - Python 2.7
 Qinling is Function as a Service for OpenStack. It aims to provide a platform
 to support serverless functions (like AWS Lambda). Qinling supports different
 container orchestration platforms (Kubernetes/Swarm, etc.) and different
 function package storage backends (local/Swift/S3) by nature using plugin
 mechanism.
 .
 This is a client library for Qinling built on the Qinling API. It provides a
 Python API (the qinlingclient module) and a command-line tool (qinling).
 .
 This package contains the Python 2.7 module.

Package: python-qinlingclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Function as a Service API client - doc
 Qinling is Function as a Service for OpenStack. It aims to provide a platform
 to support serverless functions (like AWS Lambda). Qinling supports different
 container orchestration platforms (Kubernetes/Swarm, etc.) and different
 function package storage backends (local/Swift/S3) by nature using plugin
 mechanism.
 .
 This is a client library for Qinling built on the Qinling API. It provides a
 Python API (the qinlingclient module) and a command-line tool (qinling).
 .
 This package contains the documentation.

Package: python3-qinlingclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneclient (>= 1:3.8.0),
 python3-openstackclient (>= 3.12.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.2),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-qinlingclient-doc,
Description: OpenStack Function as a Service API client - Python 3.x
 Qinling is Function as a Service for OpenStack. It aims to provide a platform
 to support serverless functions (like AWS Lambda). Qinling supports different
 container orchestration platforms (Kubernetes/Swarm, etc.) and different
 function package storage backends (local/Swift/S3) by nature using plugin
 mechanism.
 .
 This is a client library for Qinling built on the Qinling API. It provides a
 Python API (the qinlingclient module) and a command-line tool (qinling).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/python-qinlingclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-qinlingclient-doc/usr/share/doc/python-qinlingclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-qinlingclient 4.0.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -3,5 +3,5 @@
 # process, which may cause wedges in the gate later.
 
 sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
-openstackdocstheme>=1.18.1 # Apache-2.0
+openstackdocstheme>=1.24.0 # Apache-2.0
 reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-qinlingclient (4.0.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 26 Sep 2019 10:30:48 +0000

python-qinlingclient (4.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Tidy BD's.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 10:37:52 +0100

python-qinlingclient (2.2.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:50:51 -0400

python-qinlingclient (2.1.0-0ubuntu2) eoan; urgency=medium

  * d/control: Drop BDI's on python-* packages.
  * d/control: Drop python-qinlingclient binary package.
  * d/rules: Tweak to stop build and install of Python 2 parts.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 11 Jul 2019 14:26:46 +0200

=== debian/control ===
Source: python-qinlingclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Corey Bryant <corey.bryant@canonical.com>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.5) <!nodoc>,
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-mock (>= 2.0.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
 python3-os-testr (>= 1.0.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-prettytable (>= 0.7.2),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.5.2),
 python3-six (>= 1.10.0),
 python3-sphinx (>= 1.6.5),
 python3-stestr,
 python3-subunit,
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-yaml (>= 3.12),
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-qinlingclient
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-qinlingclient
Homepage: https://github.com/openstack/python-qinlingclient
Testsuite: autopkgtest-pkg-python

Package: python-qinlingclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Function as a Service API client - doc
 Qinling is Function as a Service for OpenStack. It aims to provide a platform
 to support serverless functions (like AWS Lambda). Qinling supports different
 container orchestration platforms (Kubernetes/Swarm, etc.) and different
 function package storage backends (local/Swift/S3) by nature using plugin
 mechanism.
 .
 This is a client library for Qinling built on the Qinling API. It provides a
 Python API (the qinlingclient module) and a command-line tool (qinling).
 .
 This package contains the documentation.

Package: python3-qinlingclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneclient (>= 1:3.8.0),
 python3-openstackclient (>= 3.12.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.2),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-qinlingclient-doc,
Description: OpenStack Function as a Service API client - Python 3.x
 Qinling is Function as a Service for OpenStack. It aims to provide a platform
 to support serverless functions (like AWS Lambda). Qinling supports different
 container orchestration platforms (Kubernetes/Swarm, etc.) and different
 function package storage backends (local/Swift/S3) by nature using plugin
 mechanism.
 .
 This is a client library for Qinling built on the Qinling API. It provides a
 Python API (the qinlingclient module) and a command-line tool (qinling).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -4,14 +4,14 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test
+	pkgos-dh_auto_test --no-py2
 endif
 
 override_dh_sphinxdoc:

## python-qinlingclient 5.0.1

=== doc/requirements.txt ===
--- 
+++ 
@@ -2,6 +2,6 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
+sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.5  # BSD
 openstackdocstheme>=1.24.0 # Apache-2.0
 reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
python-qinlingclient (5.0.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 10:04:37 -0400

python-qinlingclient (5.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/rules: Add override_dh_auto_clean and override_dh_auto_build.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 16:35:07 -0400

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/python-qinlingclient/python-qinlingclient-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-qinlingclient 5.1.1

=== requirements.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 six>=1.10.0 # MIT
 Babel!=2.4.0,>=2.3.4 # BSD
 requests>=2.14.2 # Apache-2.0
-PyYAML>=3.12 # MIT
+PyYAML>=3.13 # MIT
 osc-lib>=1.8.0 # Apache-2.0
 
 oslo.utils>=3.33.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
python-qinlingclient (5.1.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1045770).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 16:56:19 +0200

python-qinlingclient (5.1.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 17:06:28 +0200

python-qinlingclient (5.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-mock from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 22:47:59 +0200

python-qinlingclient (5.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 23:33:25 +0200

python-qinlingclient (5.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Apr 2020 21:32:17 +0200

python-qinlingclient (4.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:45:39 +0200

python-qinlingclient (4.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 09:09:29 +0200

python-qinlingclient (2.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 14:25:23 +0200

python-qinlingclient (2.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Fix wrong Vcs-*

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Mar 2019 22:15:52 +0100

=== debian/control ===
Source: python-qinlingclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-coverage <!nocheck>,
 python3-fixtures <!nocheck>,
 python3-hacking,
 python3-iso8601,
 python3-keystoneclient (>= 3.8.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 1.18.1) <!nodoc>,
 python3-openstackdocstheme <!nodoc>,
 python3-os-testr (>= 1.0.0),
 python3-osc-lib (>= 1.11.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0) <!nocheck>,
 python3-prettytable,
 python3-reno <!nodoc>,
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0) <!nocheck>,
 python3-six,
 python3-stestr (>= 2.0.0) <!nocheck>,
 python3-testscenarios <!nocheck>,
 python3-testtools (>= 2.2.0) <!nocheck>,
 python3-yaml,
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-qinlingclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-qinlingclient.git
Homepage: https://docs.openstack.org/qinling/latest/

Package: python-qinlingclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client for Function as a Service for OpenStack - doc
 Qinling (is pronounced "tʃinliŋ") refers to Qinling Mountains in southern
 Shaanxi Province in China. The mountains provide a natural boundary between
 North and South China and support a huge variety of plant and wildlife, some
 of which is found nowhere else on Earth.
 .
 Qinling is Function as a Service for OpenStack. This project aims to provide a
 platform to support serverless functions (like AWS Lambda). Qinling supports
 different container orchestration platforms (Kubernetes/Swarm, etc.) and
 different function package storage backends (local/Swift/S3) by nature using
 plugin mechanism.
 .
 This package contains the documentation.

Package: python3-qinlingclient
Architecture: all
Depends:
 python3-babel,
 python3-iso8601,
 python3-keystoneclient (>= 3.8.0),
 python3-openstackclient (>= 3.12.0),
 python3-osc-lib (>= 1.11.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable,
 python3-requests (>= 2.14.2),
 python3-six,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-qinlingclient-doc,
Description: client for Function as a Service for OpenStack - Python 3.x
 Qinling (is pronounced "tʃinliŋ") refers to Qinling Mountains in southern
 Shaanxi Province in China. The mountains provide a natural boundary between
 North and South China and support a huge variety of plant and wildlife, some
 of which is found nowhere else on Earth.
 .
 Qinling is Function as a Service for OpenStack. This project aims to provide a
 platform to support serverless functions (like AWS Lambda). Qinling supports
 different container orchestration platforms (Kubernetes/Swarm, etc.) and
 different function package storage backends (local/Swift/S3) by nature using
 plugin mechanism.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/python-qinlingclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build
	find . -type d -name __pycache__ -exec rm -r {} \+

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-qinlingclient-doc/usr/share/doc/python-qinlingclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build
